## net.sf.saxon.om
Class DocumentBuilderImpl

    java.lang.Object
      |
      +--javax.xml.parsers.DocumentBuilder
            |
            +--net.sf.saxon.om.DocumentBuilderImpl

public class DocumentBuilderImpl
extends javax.xml.parsers.DocumentBuilder

This class implements the JAXP DocumentBuilder interface, allowing a Saxon TinyTree to be constructed using standard JAXP parsing interfaces. Note that although the TinyTree implements the DOM interfaces, it is read-only, and all attempts to update it will throw an exception. No schema or DTD validation is carried out on the document.

Constructor Summary
`DocumentBuilderImpl()`

Method Summary
`org.w3c.dom.DOMImplementation` `getDOMImplementation()`
`boolean` `isNamespaceAware()`
`boolean` `isValidating()`
`org.w3c.dom.Document` `newDocument()`
`org.w3c.dom.Document` `parse(org.xml.sax.InputSource in)`
`void` `setEntityResolver(org.xml.sax.EntityResolver er)`
`void` `setErrorHandler(org.xml.sax.ErrorHandler eh)`

Methods inherited from class javax.xml.parsers.DocumentBuilder
`parse, parse, parse, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentBuilderImpl

    public DocumentBuilderImpl()

Method Detail

### isNamespaceAware

    public boolean isNamespaceAware()

  Specified by:
    `isNamespaceAware` in class `javax.xml.parsers.DocumentBuilder`

### isValidating

    public boolean isValidating()

  Specified by:
    `isValidating` in class `javax.xml.parsers.DocumentBuilder`

### newDocument

    public org.w3c.dom.Document newDocument()

  Specified by:
    `newDocument` in class `javax.xml.parsers.DocumentBuilder`

### parse

    public org.w3c.dom.Document parse(org.xml.sax.InputSource in)
                               throws org.xml.sax.SAXException

  Specified by:
    `parse` in class `javax.xml.parsers.DocumentBuilder`
    `org.xml.sax.SAXException`

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver er)

  Specified by:
    `setEntityResolver` in class `javax.xml.parsers.DocumentBuilder`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler eh)

  Specified by:
    `setErrorHandler` in class `javax.xml.parsers.DocumentBuilder`

### getDOMImplementation

    public org.w3c.dom.DOMImplementation getDOMImplementation()

  Specified by:
    `getDOMImplementation` in class `javax.xml.parsers.DocumentBuilder`